<form [formGroup]="todoForm" class="form" (ngSubmit)="onSubmit($event)">
  <div class="title">
    <input
      type="text"
      name="title"
      formControlName="title"
      placeholder="Title"
    />
    <div
      class="error"
      *ngIf="todoForm.get('title')?.touched && todoForm.get('title')?.errors?.['required']"
    >
      <span>This field is required...</span>
    </div>
    <div
      class="error"
      *ngIf="todoForm.get('title')?.touched && todoForm.get('title')?.errors?.['minlength']"
    >
      <span
        >The title is too short, it needs to have more than 4 symbols...</span
      >
    </div>
  </div>
  <div class="description">
    <textarea
      type="text"
      name="description"
      formControlName="description"
      placeholder="Write description here..."
    ></textarea>
    <div
      class="error"
      *ngIf="todoForm.get('description')?.touched && todoForm.get('description')?.errors?.['minlength']"
    >
      <span
        >The description is too short, it needs to have more than 4
        symbols...</span
      >
    </div>
  </div>
  <div class="submit-wrap">
    <button type="submit">Create Todo</button>
  </div>
</form>
